/* #region GRAVIOLA */
@font-face {
    font-family: "Graviola Tigre Book";
    src: url("Graviola/GraviolaTigre-Book.ttf");
}

@font-face {
    font-family: "Graviola Tigre Bold";
    src: url("Graviola/GraviolaTigre-Bold.ttf");
}

@font-face {
    font-family: "Graviola Tigre Light";
    src: url("Graviola/GraviolaTigre-Light.ttf");
}

@font-face {
    font-family: "Graviola Tigre Bold Italic";
    src: url("Graviola/GraviolaTigre-BoldItalic.ttf");
}
/* #endregion GRAVIOLA */

/* #region BODY */
body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    background-color: #17B12D;
}

@media (max-width: 767px) and (min-width: 0px) {
    body, html {
        height: auto;
        padding: 10px 10px;
    }
}

/* #endregion BODY */

/* #region CONTENEDOR PRINCIPAL */
.contenedor-principal {
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.filaContenido {
    background-color: #ffff;
    /* height: 100%; */
    border-radius: 10px;
}

.celdaContenido {
    border-radius: 10px;
}
/* #endregion CONTENEDOR PRINCIPAL */

/* #region LOGO */
.contenedorLogo {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 20px;
}

.logoContenedor {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px 20px;
}

.logoContenedor img {
    width: 100%;
}

@media (max-width: 767px) and (min-width: 0px) {
    .logoContenedor img {
        width: 100%;
    }
}
/* #endregion LOGO */

/* #region FORMULARIO */

.contenedorFormato {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 20px;
}

input:focus, input.contenedor-formulario:focus {

    outline:none !important;
    outline-width: 0 !important;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
}

.contenedor-formulario .input-text {
    width: 100%;
    background-color: transparent;
    font-family: Graviola Tigre Light;
    color: #000;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    padding: .375rem .75rem;
}

.contenedor-formulario label {
    color: #000;
    margin-top: 18px;
    font-weight: bold;
    font-family: Graviola Tigre Light;
    font-size: 18px;
    width: 100%;
}

.boton {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
}

.btnSubmit {
    width: 40%;
    border-radius: 20px;
    background-color: #17B12D;
    color: #fff;
    font-family: Graviola Tigre Light;
    font-weight: bold;
    padding: 5px;
    font-size: 20px;
    border: 2px solid #fff;
}

.btnSubmit:hover {
    background-color: #fff;
    color: #17B12D;
    border: 2px solid #17B12D;
    font-weight: bold;
    transition: .3s;
}

.required {
    color: red;
}

.hiddenLabel {
    display: none;
}

.hiddenText {
    display: none;
}

@media (max-width: 767px) and (min-width: 0px) {
    .boton {
        justify-content: center;
    }

    .btnSubmit {
        width: 60%;
        padding: 10px!important;
        font-size: 15px!important;
    }

    .contenedor-formulario label {
        font-size: 15px;
    }
}

@media (max-width: 998px) and (min-width: 768px) {
    .btnSubmit {
        width: 60%;
    }

    .contenedor-formulario label {
        font-size: 15px;
    }
}

/* #endregion FORMULARIO */

/* #region LOGO DAVIVIENDA */
.logoDavivienda {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    position: absolute;
    bottom: 0px;
    width: 100%;
    padding: 20px 0px;
}
/* #endregion LOGO DAVIVIENDA */

/* #region MODAL LOADING */
.modal-backdrop.show {
    opacity: 0.8!important;
}

.modal-content {
    background-color: transparent;
    border: none;
}

.textModal {
    padding: 10px 15px;
}

.textModal h2 {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-weight: bold;
    color: #ffffff;
}

.textModal h2:after {
    content: "...";
    overflow: hidden;
    padding: 0px 5px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    display: inline-block;
    vertical-align: bottom;
    animation: ellipsis-dot 2s infinite .3s;
    animation-fill-mode: fowards;
    width: 1.25em;
    opacity: 0;
    transition: .3s;
}

@keyframes ellipsis-dot {
    25% {
        content: "";
        transition: .3s;
        opacity: 0;
    }
    50% {
        content: ".";
        transition: .3s;
        opacity: 1;
    }
    75% {
        content: "..";
        transition: .3s;
        opacity: 1;
    }
    100% {
        content: "...";
        transition: .3s;
        opacity: 1;
    }
}

.spinner-border {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    vertical-align: text-bottom;
    border: .45em solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    -webkit-animation: spinner-border .75s linear infinite;
    animation: spinner-border .75s linear infinite;
}
/* #endregion MODAL LOADING */

/* #region MODAL VALIDACIONES */
#modalValidaciones .modal-content {
    background-color: #ffffff;
    border-radius: 20px;
}

.textValidaciones {
    display: none;
}

.textValidaciones p {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-weight: bold;
    text-align-last: center;
    color: #ffffff;
    font-size: 20px;
    font-weight: bold;
    margin-top: 15px;
    margin-bottom: 15px;
}

.botonOkModal {
    display: none;
    padding: 15px 0px;
}

.botonOkModal a {
    text-decoration: none;
    padding: 10px 10px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    transition: .3s;
    color: #ffffff;
    font-size: 15px;
    border-radius: 30px 30px 30px 30px;
    background-color: #17B12D;
    font-weight: bold;
}

.botonOkModal a:hover {
    color: #17B12D;
    background-color: #ffffff;
}

.botonOkModalAccept {
    display: none;
    padding: 15px 0px;
}

.botonOkModalAccept a {
    text-decoration: none;
    padding: 10px 10px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    transition: .3s;
    color: #ffffff;
    font-size: 15px;
    border-radius: 30px 30px 30px 30px;
    background-color: #009FDA;
    font-weight: bold;
}

.botonOkModalAccept a:hover {
    color: #009FDA;
    background-color: #ffffff;
}

.imgDanger {
    display: none;
    padding: 15px 0px;
}

.imgDanger img {
    width: 20%;
    height: 20%;
}

.imgOk {
    display: none;
    padding: 15px 0px;
}

.imgOk img {
    width: 20%;
    height: 20%;
}
/* #endregion MODAL VALIDACIONES */
